HTTXT2DBM(8)

NAME
httxt2dbm - Generate dbm files for use with RewriteMap

SYNOPSIS
httxt2dbm [-v] [-f DBM_TYPE] -i SOURCE_TXT -o OUTPUT_DBM

DESCRIPTION

-v  More verbose output.

-f  Specify the DBM type to be used for the output. If not specified, will use the APR default. Available types are:

    GDBM
        GDBM files

    SDBM
        SDBM files

    DB  Berkeley DB files

    NDBM
        NDBM files

    default
        default DBM type

-i  Input file from which the dbm is to be created. This file should be formatted with one record per line, of the form: “key value”. See the documentation for RewriteMap for further details of this file's format and meaning.

-o  Name of the output dbm files.

EXAMPLES
httxt2dbm -i rewritemap.txt -o rewritemap.dbm

httxt2dbm -f SBDM -i rewritemap.txt -o rewritemap.dbm

SEE ALSO
httpd(8)